package com.xunwang.education.entity.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Map;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CourseTree对象", description="树形课程结构")
public class CoursePriceVo {

    private static final long serialVersionUID = 1L;

    private String courseName;

    private Map<String, BigDecimal> priceMapping;
}
