package com.xunwang.education.entity.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CourseTree对象", description="树形课程结构")
public class CourseTreeVo implements Serializable {

    private static final long serialVersionUID = 1L;

    private String text;

    private String value;

    private List<CourseTreeVo> children;
}
