package com.xunwang.education.entity.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TeacherListQuery对象", description="老师列表分页查询对象")
public class TeacherListQuery implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer pageNum;

    private Integer pageSize;

    private String course;

    private String identify;

    private String education;

    private String sex;

    private String school;

    private String mode;
}
