package com.xunwang.education.feign;

import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "SERVICE-FILE")
public interface ImageFeign {

    @PostMapping("file/download")
    public String download(@RequestBody String filePath);
}
