package com.xunwang.education.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xunwang.education.entity.TeacherCourses;
import com.xunwang.education.entity.vo.TeacherList;
import com.xunwang.education.entity.vo.TeacherListQuery;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 老师课程发布 Mapper 接口
 * </p>
 *
 * @author Long
 * @since 2022-11-29
 */
public interface TeacherCoursesMapper extends BaseMapper<TeacherCourses> {

    // 批量增加
    int batchInsert(@Param("teacherCourses") List<TeacherCourses> teacherCourses);

    // 根据条件查询老师列表
    List<TeacherList> selectTeachers(@Param("obj") TeacherListQuery obj);

    String selectLatest(String uid);
}
