package com.xunwang.education.service;

import com.xunwang.education.entity.CoursePrice;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Long
 * @since 2022-11-16
 */
public interface CoursePriceService extends IService<CoursePrice> {

    /**
     * 获取课程树形结构
     * 获取课程价格对应关系
     *
     * @return
     */
    Map<String, Object> getTreeAndPrice();
}
